com.genesyslab.wfm8.API.service.config852

## Class CfgContractMonthHours

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgContractMonthHours

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContractMonthHours
      extends java.lang.Object
      implements java.io.Serializable

  Contract Monthly Hours
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmMinutesMax`
    `protected int` | `wmMinutesMin`
    `protected int` | `wmMinutesStd`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContractMonthHours()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmMinutesMax()` Gets the value of the wmMinutesMax property.
    `int` | `getWmMinutesMin()` Gets the value of the wmMinutesMin property.
    `int` | `getWmMinutesStd()` Gets the value of the wmMinutesStd property.
    `int` | `hashCode()`
    `void` | `setWmMinutesMax(int value)` Sets the value of the wmMinutesMax property.
    `void` | `setWmMinutesMin(int value)` Sets the value of the wmMinutesMin property.
    `void` | `setWmMinutesStd(int value)` Sets the value of the wmMinutesStd property.
    `java.lang.String` | `toString()`
    `CfgContractMonthHours` | `withWmMinutesMax(int value)`
    `CfgContractMonthHours` | `withWmMinutesMin(int value)`
    `CfgContractMonthHours` | `withWmMinutesStd(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmMinutesMin

          protected int wmMinutesMin

    - #### wmMinutesStd

          protected int wmMinutesStd

    - #### wmMinutesMax

          protected int wmMinutesMax

  - ### Constructor Detail

    - #### CfgContractMonthHours

          public CfgContractMonthHours()

  - ### Method Detail

    - #### getWmMinutesMin

          public int getWmMinutesMin()

      Gets the value of the wmMinutesMin property.

    - #### setWmMinutesMin

          public void setWmMinutesMin(int value)

      Sets the value of the wmMinutesMin property.

    - #### getWmMinutesStd

          public int getWmMinutesStd()

      Gets the value of the wmMinutesStd property.

    - #### setWmMinutesStd

          public void setWmMinutesStd(int value)

      Sets the value of the wmMinutesStd property.

    - #### getWmMinutesMax

          public int getWmMinutesMax()

      Gets the value of the wmMinutesMax property.

    - #### setWmMinutesMax

          public void setWmMinutesMax(int value)

      Sets the value of the wmMinutesMax property.

    - #### withWmMinutesMin

          public CfgContractMonthHours withWmMinutesMin(int value)

    - #### withWmMinutesStd

          public CfgContractMonthHours withWmMinutesStd(int value)

    - #### withWmMinutesMax

          public CfgContractMonthHours withWmMinutesMax(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.